import Vue from 'vue'
import store from './store'
import App from './App'
import i18n from './libs/i18n/index.js'
import uView from '@/uni_modules/uview-ui'
import util from './utils/rocessor.js'
Vue.use(uView)
/**
 *  所有测试用数据均存放于根目录json.js
 *  
 *  css部分使用了App.vue下的全局样式和iconfont图标，有需要图标库的可以留言。
 *  示例使用了uni.scss下的变量, 除变量外已尽量移除特有语法,可直接替换为其他预处理器使用
 */

Vue.config.productionTip = false
Vue.prototype._i18n = i18n;
Vue.prototype.$store = store;
Vue.prototype.$util = util;
App.mpType = 'app'

const app = new Vue({
    ...App,
	i18n
})
app.$mount()